加纳塞地代收查询
curl --request POST \
--url https://uat-interface.haipay.asia/ghs/collect/query \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "GHSORDER001",
"orderNo": "6023071013539074",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ghs/collect/query"
payload = {
"appId": 1054,
"orderId": "GHSORDER001",
"orderNo": "6023071013539074",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ghs/collect/query';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'GHSORDER001',
orderNo: '6023071013539074',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ghs/collect/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'GHSORDER001',
'orderNo' => '6023071013539074',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ghs/collect/query")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"GHSORDER001\",\n \"orderNo\": \"6023071013539074\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "GHSCOLLECT001",
"orderNo": "6023071013539074",
"amount": "100.00",
"actualAmount": "100.00",
"fee": "1.00",
"status": 2,
"payTime": "2026-08-01 12:30:00",
"errorMsg": "",
"inBankCode": "MTN",
"currency": "GHS",
"originalCurrency": "GHS",
"floatExchangeRate": "1",
"originalAmount": "100.00",
"certificateId": "",
"sign": "signature"
}
}加纳
加纳 — 加纳塞地代收查询
加纳 — 加纳塞地代收查询接口(POST /ghs/collect/query),请求参数包含 appId、orderId、sign 与签名字段,返回订单状态与交易结果。
POST
/
ghs
/
collect
/
query
加纳塞地代收查询
curl --request POST \
--url https://uat-interface.haipay.asia/ghs/collect/query \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "GHSORDER001",
"orderNo": "6023071013539074",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ghs/collect/query"
payload = {
"appId": 1054,
"orderId": "GHSORDER001",
"orderNo": "6023071013539074",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ghs/collect/query';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'GHSORDER001',
orderNo: '6023071013539074',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ghs/collect/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'GHSORDER001',
'orderNo' => '6023071013539074',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ghs/collect/query")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"GHSORDER001\",\n \"orderNo\": \"6023071013539074\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "GHSCOLLECT001",
"orderNo": "6023071013539074",
"amount": "100.00",
"actualAmount": "100.00",
"fee": "1.00",
"status": 2,
"payTime": "2026-08-01 12:30:00",
"errorMsg": "",
"inBankCode": "MTN",
"currency": "GHS",
"originalCurrency": "GHS",
"floatExchangeRate": "1",
"originalAmount": "100.00",
"certificateId": "",
"sign": "signature"
}
}本页所有示例请求均基于沙盒(测试)环境,请注意区分正式环境。
密钥私钥(生成签名)
相关主题
最后修改于 2026年10月29日

